commit 6595680c470106f7fc9fe6904b68d3ab9663e7a3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Sep 20 22:48:56 2021 +0200

    [demuxers/Matroska] Decode HEVC slice headers to set frame flags instead of relying on cues

commit 00762a9de47949bfa8612921aa68301f11c2b50b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Sep 20 22:48:33 2021 +0200

    [coreUtils] Flag HEVC frame as keyframe if NAL unit type matches only

commit 80ee935348eccf3616518c1628462cdeb61c6170
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Aug 26 23:56:27 2021 +0200

    [demuxers/Matroska] Take early B-frames into account when enforcing fixed frame rate
    
    Else we end up with bad DTS and fail to save in copy mode to MP4.

commit c6464a9846498dc27747c63b802729e424d9db42
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 20 21:08:27 2021 +0200

    [audioFilter/encoderPlugin] Fix memleak

commit b3a32d4539677180d277679107443fba1c121ca2
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 20 21:07:28 2021 +0200

    [Qt/bitrate] Fix memleak

commit 4c7b0075a4c5c5eaddbc7e655dfd3f7bf977f50b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 14 22:42:08 2021 +0200

    [demuxers/OpenDml] Calculate video duration based on PTS if available
    
    While we initially don't have PTS, the editor may provide them later. If
    B-frames are present, we need to increase duration to avoid last frames
    falling off the cliff.

commit 74eb03a0e18a4f1f5103ce2c0d4b290297f51c2e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 14 19:48:43 2021 +0200

    [demuxers/Matroska] Fix calculation of CFR timestamps for given timebase when the first frame PTS significantly deviates from a multiple of the timebase

commit 07eb1a99a762b6e80582a7ffd618ae739bc3f51b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 7 02:37:29 2021 +0200

    [coreVideoEncoderFFmpeg] Free buffer holding first pass stats

commit 5cdc6360120763769d272dac0e7d2bc88a89fee1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 7 02:34:06 2021 +0200

    [Q_working] Fix memleak

commit 2cc65990ffd196cbd5ab6ab7fa0daeec4e88f952
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 7 02:33:22 2021 +0200

    [Q_processing] Fix memleak

commit dfdc93265eac61f72cee981fdb19a06a5911d05f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 7 02:32:04 2021 +0200

    [coreVideoCodec] Fix typo or bad copy and paste, do not evaluate input length in drain mode

commit d9362b3b705dc9603c909bb7844865ae816046ff
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 7 02:26:38 2021 +0200

    [editor/edRenderInternal] Always initialize frame length

commit 20bf8044cd734691ea6a62cae14cadea8acd0125
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 6 03:07:30 2021 +0200

    [ffMpeg2] Fix CBR mode

commit 337d2d8b7682a54df191dd9e979561178491eb60
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 6 02:29:20 2021 +0200

    [editor/marker] Enforce video duration as the upper bound for markers

commit e1da180c5deab46cb4dd76a215bb32219c0d1f1c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 6 02:26:16 2021 +0200

    [editor/edVideoCopy] Do not fail to check cut points if end time is past the end of the video

commit 7c65a0f24124cb29052053ef6a42f52ad846d25c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Aug 4 15:20:50 2021 +0200

    [gui_main] Rewind after restoring saved state of editing as the first keyframe must not necessarily belong to a segment, try to do without now presumably redundant second call to ADM_Composer::rewind in A_Rewind function

commit 2de2a29dfc7b5ffd458ff10cee8ac070f281c88b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Aug 4 00:07:40 2021 +0200

    [coreUtils/json] Fix invalid read in admJson destructor

commit 2ef2d5b7fb2986f87ed77104f8b730d609b38404
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jul 26 13:13:04 2021 +0200

    [Qt/mainfilter] Fix crash on closing filter preview and filter manager in quick succession
    
    Hitting the ESC key twice to close both filter preview and filter manager
    could result in the second rejected() signal received by the preview
    which was already removed from widget stack and subsequent assert
    failure in qtUnregisterDialog(). This was especially easy to reproduce
    during playback.
    
    This patch avoids the crash by suppressing subsequent signals from filter
    preview dialog. If ESC is pressed the second time too soon, the keypress
    event is ignored which is not perfect but better than a crash.

commit 495a3dec71c104e523688e68156e66f801d86b6f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 24 21:59:57 2021 +0200

    [demuxers/MpegTS] Optimize PMT offset update, request C++ standard which supports local types as template arguments

commit e2e12dba0ebf7b389b35351c19cd87d033cefb9a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 24 15:15:01 2021 +0200

    [demuxers/MpegTS] Verify that video track advertised by PMT is present, fix handling of multiple PMTs sharing the same PID, skip decoding PSI if section syntax indicator is not set

commit f84a7be5d1c8f8554f18ea494b735ebefbe739a2
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jul 14 16:55:51 2021 +0200

    [gui_navigate] Fix keyframe navigation error dialog not shown for the first time when triggered in auto-repeat mode

commit 25b060d873b435dad991dbbfcd2607ef12491591
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jul 14 15:31:14 2021 +0200

    [gui] Do not warn about keyframe navigation failure while a navigation button with auto-repeat function enabled is pressed
    
    If an error dialog opens while a navigation button is pressed, it prevents
    the button from receiving the mouse release event. As the result, the
    corresponding actionSignal is emitted indefinitely until the user clicks
    the button again.

commit 59a1a53eaecfa13808e978603ebc27284fe73e99
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jul 13 23:58:23 2021 +0200

    [gui_play] improve UI responsiveness during playback

commit 94e9162c2268fca4b77683129d346e08484a9785
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jul 13 15:18:07 2021 +0200

    [editor] Drain decoder instead of repeatedly submitting the last frame of video in DecodePictureUpToIntra()
    
    If the last frame is a keyframe but not an IDR, it may not be decodable
    standalone without following frames. Re-sending it is a mistreatment
    which at least libavcodec doesn't always forgive. We may get decoding
    failures e.g. when going to the previous picture in field-encoded
    videos.

commit 65382a1d040901cae6aebf94a89110a401053a38
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jul 12 13:20:47 2021 +0200

    [editor] Be more patient waiting for decoder to return a decoded picture
    
    This should help against decoding failures with multi-threading enabled,
    especially pronounced with interlaced field-encoded videos.

commit fb50b2577c0850e9058d2daf0c0f7f7266a6fa9b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jul 5 23:59:07 2021 +0200

    [demuxers/Mp4] Fix number of bytes consumed while reading the number of video frames per sample, revert the flawed part of 47c4329f253 both of which resulted in crashes

commit 79ab87a3c05fab620c219eb7efce69fb56730614
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jun 19 01:23:12 2021 +0200

    [coreDemuxerMpeg] Reject presumably corrupted packets with zero-length payload

commit dc323dac9dfc753322d2269ff8b4d747cfc94b67
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat May 29 18:34:11 2021 +0200

    [gui_main] Save editing state on close irrespectively of undo steps being available

commit 5431e26473e79480954498716fbf66e824c92612
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun May 23 17:31:34 2021 +0200

    [demuxers/Mp4] Decode HEVC slice headers to determine frame type
    
    Some applications don't write correct data to stss leaving Avidemux
    unable to navigate in the file. As a bonus, we gain the ability to tell
    apart B-frames from P-frames.

commit a144e92bd47cbe4cdebffd4e57f4aaa4c6098fa1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri May 7 10:30:50 2021 +0200

    [demuxers/Mp4] Accept H.264 labeled as avc3

commit f45b874ff0cd66a4379135bbe9947e2835ab679b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed May 5 18:03:41 2021 +0200

    [demuxers/Mp4] Fix parsing of sound sample description version 2

commit 812597b58c0b8271044932dc100647997182c9e3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon May 3 20:02:55 2021 +0200

    [demuxers/Matroska] Make sure only one field of a keyframe is flagged as keyframe in field encoded H.264 streams
    
    This fixes inability to seek in field encoded H.264 videos.

commit 74332a93d1f3a8f060e41cb82cc3cb3d879315d4
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon May 3 19:53:15 2021 +0200

    [demuxers/Mp4] Make sure only one field of a keyframe is flagged as keyframe in field encoded H.264 streams
    
    This fixes navigation in field encoded H.264 videos.

commit df2d5e743626be463fb0183399b9232382d53753
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon May 24 23:47:41 2021 +0200

    [i18n] Update submodule

commit 72f4fca9dbe963501de5a4104b76897bbbc9f96e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Apr 21 01:41:07 2021 +0200

    [coreAudio/audioWriteWav] Fix blockalign, it is in bytes, not bits + improve legibility

commit 513289ab44154fa476daa9021ead0cd88aa42783
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Apr 21 01:26:31 2021 +0200

    [coreAudio,editor] Feed external PCM audio tracks in chunks max. 10 ms in duration to consumers
    
    This fixes the issue of broken files created when muxing audio tracks from
    WAV files into MKV or AVI containers in copy mode for audio.

commit 937b592d1b014abc734c1b908ff2351226eb6a0e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Apr 20 14:44:49 2021 +0200

    [coreAudioDevice] Validate arguments used to init audio device
    
    This substitutes a segfault with a more benign error dialog from failure
    to initialize an audio device when starting playback of an appended video
    which doesn't have an audio track contrary to the video it has been
    appended to.

commit 97c7110df2e31a35f3d1418a66e6dc2bbf272b81
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Apr 17 23:22:53 2021 +0200

    [videoDecoer/aom] Make sure decoder output is not marked as a hw image

commit 11db314c15690dc74879a2e76b7a3820b5c60132
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Apr 17 23:21:50 2021 +0200

    [coreVideoCodec] Make sure sw decoder output is not marked as a hw image, the rgb16 and uyvy part

commit 33170db3e5b2f263d953f9192892083245d4c17d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Apr 16 23:51:43 2021 +0200

    [coreVideoCodec] Make sure the output of libavcodec software decoder is not marked as a HW image
    
    This fixes the issue of output of lavc sw decoder not refreshed when
    another ref video uses a hw decoder.

commit 8413578f882f7e42985d44a89411a3fe2567d815
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Apr 15 23:02:07 2021 +0200

    [ffNvEnc] Fix insufficient encoder delay when B-frames are used for reference

commit e82d565f1e15e1fbb80f64638a99948b3cfa1bd3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Apr 12 00:03:30 2021 +0200

    [demuxers/Matroska] Do not overwrite the flags of the first frame, this is harmful if it is really not a keyframe

commit 8461656bef015d329eb08d70d08bea98fe4484a1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon May 3 20:38:54 2021 +0200

    [editor] Handle videos not starting with a keyframe

commit 73a0d871f1dca64e46e3c30ad599159dd7a842e5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Mar 29 02:18:20 2021 +0200

    [gui_play] Fix video filter chain range, let the bridge fill in the proper end time

commit 31a3604b587af72d4c7f93c9619c50afd02de6bc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Mar 29 02:05:56 2021 +0200

    [coreVideoFilter/Bridge] Fix end time and total duration calculation, improve debug messages

commit 85cc05bcbb05e836e84b5c527d370ada40c43624
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Mar 26 06:30:50 2021 +0100

    [demuxers/MpegTS] Consume AAC LATM data on LATM demuxer error before retrying with the next PES packet
    
    This fixes a regression from 7bdd8373ccb159b6b5856b9f6fecbbd19416004c
    which resulted in a failure to extract or play AAC LATM audio tracks
    when the very first LATM frame in a sufficiently high number of
    consecutive PES packets didn't contain extradata.

commit 5d76aaa49612747ace3e24bddb606e9812543613
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Mar 26 06:14:14 2021 +0100

    [coreAudioParser/aacLatm] Get extradata prior to extracting payload, ignore unsupported numSubFrames values, fix frame length calculation
    
    We landed two bytes short of the next sync word which turned out to be
    enough to trigger false positives with some streams, resulting in bogus
    frame sizes and audio dropouts.

commit e5c59e7b95ae1e3dc5713d8e0e5b77437b1a2a45
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Mar 24 19:19:41 2021 +0100

    [gui_main] Update audio segment counter on undo and redo

commit 673908bc15d415399f03468c8ec847fbf9b7c87e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Mar 24 19:10:32 2021 +0100

    [editor/audio] Check that audio segment counter is within bounds

commit 3f63d1404b6de5a722500be4ed441a490d383fa9
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Mar 20 22:29:48 2021 +0100

    [eq2] Fix swapped red and blue gamma, regressed by 57a5b6b9096b611abca075e4fa18327c0f80bbd6

commit 003ab2f14e2a736263a5dd3292de6441523ef7ea
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 20 13:41:08 2021 +0100

    [demuxers/Mp4] Fix crash with multiple stsd entries for video
    
    We did not seek to the start of the next entry which resulted in a bogus
    entry size and easily in a crash from trying to seek past the end of atom.

commit 459959d06842a96da4a2ddcc844212d33a0d1e21
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Mar 7 20:28:59 2021 +0100

    [Qt] Ensure text margins in current time display are zero
    
    Some Qt themes, namely Adwaita, mess with QLineEdit text margins after the
    size of the widget has been calculated, squeezing content partially out of
    view of a fixed size. Reset margins back to zero behind their back.

commit 70f0f51c11ff66fef2b9f6ab9e2ebfc51a02f51b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Mar 7 20:20:23 2021 +0100

    [cmake] Leave release mode
